[arch-commits] Commit in libsamplerate/trunk (ChangeLog PKGBUILD)

Eric Belanger eric at archlinux.org
Sat Jul 12 23:10:29 EDT 2008


    Date: Saturday, July 12, 2008 @ 23:10:28
  Author: eric
Revision: 4886

upgpkg: libsamplerate 0.1.4-1
    Upstream update, added ChangeLog

Added:
  libsamplerate/trunk/ChangeLog
Modified:
  libsamplerate/trunk/PKGBUILD

-----------+
 ChangeLog |    4 ++++
 PKGBUILD  |   20 ++++++++++----------
 2 files changed, 14 insertions(+), 10 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-07-13 03:10:28 UTC (rev 4886)
@@ -0,0 +1,4 @@
+2008-07-10  Eric Belanger  <eric at archlinux.org>
+
+	* libsamplerate 0.1.4-1
+	* Upstream update

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-13 03:07:29 UTC (rev 4885)
+++ PKGBUILD	2008-07-13 03:10:28 UTC (rev 4886)
@@ -1,23 +1,23 @@
 # $Id$
-# Maintainer: arjan <arjan at archlinux.org>
+# Maintainer: Eric Belanger <eric at archlinux.org>
 # Contributor: Jason Chu <jchu at xentac.net>
 
 pkgname=libsamplerate
-pkgver=0.1.3
+pkgver=0.1.4
 pkgrel=1
 pkgdesc="Secret Rabbit Code - aka Sample Rate Converter for audio"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://www.mega-nerd.com/SRC/index.html"
 license=('GPL')
 depends=('libsndfile' 'flac>=1.1.4')
-source=(http://www.mega-nerd.com/SRC/libsamplerate-$pkgver.tar.gz)
 options=('!libtool')
+source=(http://www.mega-nerd.com/SRC/libsamplerate-${pkgver}.tar.gz)
+md5sums=('f6fafd5d4971a2442352c72bc3598cbd')
+sha1sums=('47837f4ab5f3655f3d59ce2dc9bcf032826e52e8')
 
 build() {
-    cd $startdir/src/$pkgname-$pkgver
-    ./configure --prefix=/usr
-    make || return 1
-    make prefix=$startdir/pkg/usr install
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }
-
-md5sums=('3f91af22a6c4135485594d0d2c91d45d')





More information about the arch-commits mailing list